<?php

declare(strict_types=1);
namespace Drupal\confirmation_example;

use Drupal\confirmation\Entity\Event\ConfirmationEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

final class ExampleConfirmationEventSubscriber implements EventSubscriberInterface {

  public static function getSubscribedEvents() {
    return [
      'confirmation.confirmation_example.state_settled' => 'onStateSettled',
    ];
  }

  public function onStateSettled(ConfirmationEvent $event): void {
    /** @var \Drupal\confirmation_example\Entity\ExampleConfirmationBundle $confirmation */
    $confirmation = $event->getConfirmation();
    $state = $confirmation->getState();
    if ($state) {
      $confirmation->getNode()->setPublished()->save();
    }
    else {
      $confirmation->getNode()->delete();
    }
  }

}
