<?php

declare(strict_types=1);
namespace Drupal\confirmation_event_test;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

final class LoggingConfirmationEventSubscriber implements EventSubscriberInterface {

  protected $events = [];

  public function __construct() {}

  public static function getSubscribedEvents(): array {
    return [
      'confirmation.state_settled' => 'onEvent',
      'confirmation.confirmation_example.state_settled' => 'onEvent',
    ];
  }

  public function onEvent($event, $eventName): void {
    $this->events[] = [$event, $eventName];
  }

  public function getAndClearEvents(): array {
    $events = $this->events;
    $this->events = [];
    return $events;
  }

}
